dpp::resolved_user
commandhandler.h
dpp::guild_member dpp::guild_member dpp::resolved_user::member member dpp::resolved_user::member

Holds member information.

dpp::user dpp::user dpp::resolved_user::user user dpp::resolved_user::user

Holds user information.

dpp::resolved_user contains both a dpp::guild_member and a dpp::user. The user can be used to obtain in-depth user details such as if they are nitro, and the guild member information to check their roles on a guild etc. The Discord API provides both if a parameter is a user ping, so we offer both in a combined structure.

T
bool
dpp::guild_member
nickname
roles
flags
guild_id
user_id
avatar
communication_disabled_until
joined_at
premium_since
dpp::json_interface< T >
dpp::json_interface< guild_member >
< guild_member >
dpp::json_interface< user >
< user >
dpp::managed
id
dpp::resolved_user
user
member
dpp::snowflake
value
dpp::user
global_name
username
avatar
avatar_decoration
primary_guild
flags
discriminator
refcount
dpp::utility::iconhash
first
second
dpp::utility::primaryguild
id
enabled
tag
badge
std::basic_string< Char >
std::string
std::vector< T >
elements
std::vector< dpp::snowflake >
elements
< dpp::snowflake >
time_t
uint16_t
uint32_t
uint64_t
uint8_t
- dpp::resolved_user
  member
- dpp::resolved_user
  user